[package]
name = "ray-tracing-egui"
version = "0.1.0"
edition = "2021"

[dependencies]
vulkano = "0.34.1"
vulkano-shaders = "0.34.0"
winit = "0.28"
egui = "0.24"
egui_winit_vulkano = "0.27.0"
ray-tracing-core = { path = "../ray-tracing-core" }
ray-tracing-scene = { path = "../ray-tracing-scene" }
ray-tracing-renderer = { path = "../ray-tracing-renderer" }
rayon = "1.10.0"
rand = { version = "0.8.5", features = ["small_rng"] }
clap = { version = "4.5.19", features = ["derive"] }
